#ifndef _LCD_20_4_H_
#define _LCD_20_4_H_
#include "Types.h"

#define	LINE_LEN	20
#define	NLINES		4

enum {NORMAL, INVERT};

class LCD20x4 {
public:
	LCD20x4() {}
	virtual ~LCD20x4() {}
	void Init(void);
	void Clear(void);
	void MoveTo(uint8 col, uint8 line);
	void Write(char c);
	void Write(char * str, uint8 max = 20);
	void WriteIntVal(int16 val);
	void Pulse();
protected:
private:
	void enable(void);
	void write_cmd(uint8 c);
};

extern LCD20x4 SysLCD;

//	LCD related
void lcd_init(void);	//OK
void lcd_clear(void);	//OK
void lcd_write(char c);	//OK
void lcd_write_str(char* c, uint8 len);	//OK
void lcd_write_cmd(uint8 c);	//OK
void lcd_enable(void);	//OK
void lcd_move_to(uint8 column, uint8 line);	//OK
void lcd_write_int16(int16 val);	//OK

#endif
