#ifndef _SENSOR_H_
#define _SENSOR_H_

#include "Types.h"

enum {PLANE, BOAT};

class TW11Sensor {
public:
	TW11Sensor() {}
	virtual ~TW11Sensor() {}
	void Init(void);
	int16 Read(void);
	void SetZero(void);
	void SetMode(uint8 mode) {mMode = mode;}
protected:
private:
	uint16 mRawVal;
	int16 mOffset;
	uint8 mMode;
};

extern TW11Sensor SysSensor;

#endif
