#ifndef _SPI_H_
#define _SPI_H_

#include "Types.h"
//	SPI related definitions
#define	SPI_SEL			P4SEL	//	P4SEL allows to change mode from GPIO to SPI
#define	SPI_CTRL_DIR	P4DIR
#define	SPI_CTRL_OUT	P4OUT
#define	SPI_BITS		0x0E	//	0 = CS, 1,2,3 = MOSI, MISO, CLK
#define	SPI_CS			0x01

void spi_init(void);
uint8 spi_write_byte(uint8 b);

#endif
